pencilCreate enrollment

Create Enrollment

post

This endpoint will allow you to start an enrollment.

Header parameters
Content-TypestringRequired

Content type of the request.

Default: application/json
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone: yyyy-MM-dd'T'HH:mm:ssZ

Example: 2025-11-13T14:30:00Z
X-LoginstringRequired

Merchant X-Login API Key.

AuthorizationstringRequired

Authorization control hash.

X-Idempotency-KeystringOptional

Unique idempotency key.

Body

Payload to create a new enrollment.

invoice_idstringRequired

Unique deposit ID on your side.

Example: invoiceid10000
countrystringRequired

Country of the deposit (e.g., BR).

Example: BR
currencystringRequired

Currency of the deposit (e.g., BRL).

Example: BRL
start_datestring · dateRequired

Date the enrollment starts. Format YYYY-MM-DD.

Example: 2025-10-22
frequencystring · enumRequired

Frequency of the enrollment.

Example: MONTHLYPossible values:
amountnumber · floatRequired

Amount of the deposit.

Example: 1
amount_typestring · enumRequired

Type of amount.

Example: FIXEDPossible values:
include_first_paymentbooleanRequired

Indicates if a payment will be made as soon as the enrollment is created.

Example: true
success_urlstring · uriRequired

HTTPS URL to redirect customer on success.

Example: https://merchant.com/payment/success
notification_urlstring · uriRequired

HTTPS URL for deposit status change notifications.

Example: https://merchant.com/payment/notification
Responses
chevron-right
200

Enrollment created successfully.

application/json

Successful enrollment creation response.

enrollment_idintegerOptional

The ID of the enrollment.

Example: 36
invoice_idstringOptional

ID of the deposit on the merchant end.

Example: invoiceid10000
countrystringOptionalExample: BR
currencystringOptionalExample: BRL
amountnumber · floatOptional

Amount of the enrollment created.

Example: 1
statusstringOptional

Status of the enrollment.

Example: PENDING
redirect_urlstring · uriOptional

URL to redirect the customer to pay.

Example: https://link.depositcheckout.com/enrollment/checkout/...
post
/enrollments

Last updated

Was this helpful?